// id revo

.revolutionary {
  // max-width: 860px;
  @include flex(center, center);
  flex-direction: column;
  margin-bottom: 90px;

  @include tablet {
    margin-bottom: 100px;
  }

  @include desktop {
    margin-bottom: 70px;
  }

  .revolutionary__title {
    width: 270px;
    color: $darkpurple;
    text-align: center;
    font-size: 26px;
    font-family: Montserrat;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 27px;

    @include tablet {
      font-size: 42px;
      width: 100%;
      margin-bottom: 30px;
    }

    @include desktop {
      font-size: 54px;
      font-weight: 700;
      margin-bottom: 35px;
    }
  }

  .revolutionary__text {
    color: $black;
    text-align: center;
    font-size: 14px;
    margin-bottom: 35px;
    font-family: Lato;

    @include tablet {
      font-size: 21px;
      margin-bottom: 25px;
    }

    @include desktop {
      margin-bottom: 13px;
    }
  }

  .button-wrapper {
    @include flex(center, center);
    flex-wrap: wrap;
    gap: 10px;

    .button-wrapper__button {
      @include flex(stretch, center);
      border: 1px solid lightgrey;
      width: 120px;
      height: 25px;
      border-radius: 4px;

      img {
        width: 14px;
        height: 14px;
        padding-bottom: 1%;
      }

      div:first-child {
        @include flex(center, center);
        background: linear-gradient($white, lightgrey);
        width: 100%;
        height: 100%;
        border-right: 1px solid lightgrey;
        cursor: pointer;
        user-select: none;

        div:first-child:active {
          background: linear-gradient($white, darkgrey);
        }

        p {
          font-weight: 700;
          font-size: 14px;
          text-align: center;
        }
      }

      p:last-child {
        font-weight: 700;
        font-size: 12px;
        text-align: center;
        padding: 0 5px;
      }
    }
  }
}

